#ifndef _ASTERISK_RECORDALL_H
#define _ASTERISK_RECORDALL_H

int recordall_alloc_queue_for_channel(struct ast_channel *ast);
int recordall_release_queue_for_channel(struct ast_channel *ast);
int recordall_channel_readstream(struct ast_channel *chan, struct ast_frame *f);
int recordall_channel_writestream(struct ast_channel *chan, struct ast_frame *f);
int recordall_channel_signal(int streams[], const char *fmt, ...);
int recordall_public_signal(const char *fmt, ...);
void recordall_bridge_signal(struct ast_channel *c0, struct ast_channel *c1, int join_or_leave);
void recordall_bridge_signal_byname(struct ast_channel *chan, char *bridge_name, int join_or_leave);
int init_recordall(void);
int reload_recordall(void);
int recordall_agi_cancel(char *channel_name);
int merge_no_recordall(const char *s1, const char *s2, char **new_string);

#endif /* _ASTERISK_RECORDALL_H */
